function [fitresult, gof, xData, yData,fitfunc] = fitDisplacements(fitTime, fitDisp)
%CREATEFIT(TIMEDECIMATEFIT,BBDISPFIT)
%  Create a fit.
%
%  Data for 'slope_plus_sine' fit:
%      X Input : timeDecimateFit
%      Y Output: bbDispFit
%  Output:
%      fitresult : a fit object representing the fit.
%      gof : structure with goodness-of fit info.
%
%  See also FIT, CFIT, SFIT.

%  Auto-generated by MATLAB on 22-Nov-2021 12:28:41


%% Fit: 'slope_plus_sine'.
[xData, yData] = prepareCurveData( fitTime, fitDisp );

% Set up fittype and options.
fitfunc = 'a*x+b + c* sin(2*pi*d *x +e)';
ft = fittype( fitfunc, 'independent', 'x', 'dependent', 'y' );
opts = fitoptions( 'Method', 'NonlinearLeastSquares' );
opts.Display = 'Off';
opts.Lower      = [-Inf    -Inf   0     0       -pi];
opts.StartPoint = [0.015   0      40    0.005  -pi/2];
opts.Upper      = [Inf     Inf    Inf   0.500   pi];

% Fit model to data.
[fitresult, gof] = fit( xData, yData, ft, opts );

% % Plot fit with data.
% figure( 'Name', 'slope_plus_sine' );
% h = plot( fitresult, xData, yData );
% legend( h, 'bbDispFit vs. timeDecimateFit', 'slope_plus_sine', 'Location', 'NorthEast', 'Interpreter', 'none' );
% % Label axes
% xlabel( 'timeDecimateFit', 'Interpreter', 'none' );
% ylabel( 'bbDispFit', 'Interpreter', 'none' );
% grid on


